# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-03-26 16:21
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0011_auto_20200317_1154'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalMainReason',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('reason', models.CharField(max_length=150, verbose_name='reason')),
                ('valor', models.PositiveIntegerField(verbose_name='amount')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'descuento'), (2, 'cargo'), (3, 'promociones')], verbose_name='kind')),
                ('percent', models.BooleanField(default=False, verbose_name='is percentage')),
                ('occurrence_number', models.PositiveIntegerField(default=0, verbose_name='ocurrence')),
                ('calculate_by_days', models.BooleanField(default=False, verbose_name='calculate by days')),
                ('active', models.BooleanField(default=False, verbose_name='active')),
                ('status_field', models.BooleanField(default=False, verbose_name='deleted')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical main reason',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='MainReason',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('reason', models.CharField(max_length=150, verbose_name='reason')),
                ('valor', models.PositiveIntegerField(verbose_name='amount')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'descuento'), (2, 'cargo'), (3, 'promociones')], verbose_name='kind')),
                ('percent', models.BooleanField(default=False, verbose_name='is percentage')),
                ('occurrence_number', models.PositiveIntegerField(default=0, verbose_name='ocurrence')),
                ('calculate_by_days', models.BooleanField(default=False, verbose_name='calculate by days')),
                ('active', models.BooleanField(default=False, verbose_name='active')),
                ('status_field', models.BooleanField(default=False, verbose_name='deleted')),
            ],
            options={
                'verbose_name': 'main reason',
                'verbose_name_plural': 'main reasons',
                'permissions': (('view_mainreason', 'Can view main reason data'), ('list_mainreason', 'Can list main reason data')),
            },
        ),
        migrations.RemoveField(
            model_name='charge',
            name='amount',
        ),
        migrations.RemoveField(
            model_name='charge',
            name='automatic',
        ),
        migrations.RemoveField(
            model_name='charge',
            name='description',
        ),
        migrations.RemoveField(
            model_name='credit',
            name='amount',
        ),
        migrations.RemoveField(
            model_name='credit',
            name='automatic',
        ),
        migrations.RemoveField(
            model_name='credit',
            name='description',
        ),
        migrations.RemoveField(
            model_name='historicalcharge',
            name='amount',
        ),
        migrations.RemoveField(
            model_name='historicalcharge',
            name='automatic',
        ),
        migrations.RemoveField(
            model_name='historicalcharge',
            name='description',
        ),
        migrations.RemoveField(
            model_name='historicalcredit',
            name='amount',
        ),
        migrations.RemoveField(
            model_name='historicalcredit',
            name='automatic',
        ),
        migrations.RemoveField(
            model_name='historicalcredit',
            name='description',
        ),
        migrations.AddField(
            model_name='charge',
            name='days_count',
            field=models.PositiveIntegerField(null=True, verbose_name='number of days'),
        ),
        migrations.AddField(
            model_name='charge',
            name='number_billing',
            field=models.PositiveIntegerField(default=1, verbose_name='number billing'),
        ),
        migrations.AddField(
            model_name='charge',
            name='quantity',
            field=models.PositiveIntegerField(null=True, verbose_name='quantity'),
        ),
        migrations.AddField(
            model_name='charge',
            name='status_field',
            field=models.BooleanField(default=False, verbose_name='deleted'),
        ),
        migrations.AddField(
            model_name='charge',
            name='times_applied',
            field=models.PositiveIntegerField(default=0, verbose_name='times_applied'),
        ),
        migrations.AddField(
            model_name='credit',
            name='days_count',
            field=models.PositiveIntegerField(null=True, verbose_name='number of days'),
        ),
        migrations.AddField(
            model_name='credit',
            name='number_billing',
            field=models.PositiveIntegerField(default=1, verbose_name='number billing'),
        ),
        migrations.AddField(
            model_name='credit',
            name='quantity',
            field=models.PositiveIntegerField(null=True, verbose_name='quantity'),
        ),
        migrations.AddField(
            model_name='credit',
            name='status_field',
            field=models.BooleanField(default=False, verbose_name='deleted'),
        ),
        migrations.AddField(
            model_name='credit',
            name='times_applied',
            field=models.PositiveIntegerField(default=0, verbose_name='times_applied'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='days_count',
            field=models.PositiveIntegerField(null=True, verbose_name='number of days'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='number_billing',
            field=models.PositiveIntegerField(default=1, verbose_name='number billing'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='quantity',
            field=models.PositiveIntegerField(null=True, verbose_name='quantity'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='status_field',
            field=models.BooleanField(default=False, verbose_name='deleted'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='times_applied',
            field=models.PositiveIntegerField(default=0, verbose_name='times_applied'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='days_count',
            field=models.PositiveIntegerField(null=True, verbose_name='number of days'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='number_billing',
            field=models.PositiveIntegerField(default=1, verbose_name='number billing'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='quantity',
            field=models.PositiveIntegerField(null=True, verbose_name='quantity'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='status_field',
            field=models.BooleanField(default=False, verbose_name='deleted'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='times_applied',
            field=models.PositiveIntegerField(default=0, verbose_name='times_applied'),
        ),
        migrations.AddField(
            model_name='charge',
            name='reason',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.MainReason', verbose_name='reason'),
        ),
        migrations.AddField(
            model_name='credit',
            name='reason',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.MainReason', verbose_name='reason'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='reason',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.MainReason'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='reason',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.MainReason'),
        ),
    ]
